include ../config.mak

all: utt.info utt.dvi utt.html utt.pdf utt.ps

utt.info: utt.texinfo
	$(MAKEINFO) $< -o $@

utt.dvi: utt.texinfo
	$(TEXI2DVI) --build=clean $< -o $@

utt.html: utt.texinfo
	$(MAKEINFO) --html --no-split $< -o $@

utt.pdf: utt.texinfo
	$(TEXI2PDF) --build=clean $< -o $@

utt.ps: utt.dvi
	$(DVIPS) $< -o $@

.PHONY: install
install: 
ifdef SHARE_DIR
	install -m 0644 utt.info $(SHARE_DIR)/info
endif
ifdef DOC_DIR
	install -m 0644 utt.dvi $(DOC_DIR)
	install -m 0644 utt.html $(DOC_DIR)
	install -m 0644 utt.pdf $(DOC_DIR)
	install -m 0644 utt.ps $(DOC_DIR)
endif

.PHONY: uninstall
uninstall:
ifdef SHARE_DIR
	rm $(SHARE_DIR)/info/utt.info
endif
ifdef DOC_DIR
	rm $(DOC_DIR)/utt.dvi
	rm $(DOC_DIR)/utt.html
	rm $(DOC_DIR)/utt.pdf
	rm $(DOC_DIR)/utt.ps
endif
	
clean:
	rm utt.info utt.dvi utt.html utt.pdf utt.ps || true
